import request from '@/utils/request_9520'
import wmsRequest from '@/utils/request'

export function QueryPager(data) {
    return request({
      url: '/ESB/QueryPager',
      method: 'post',
      data:data,
      timeout:60*1000
    })
  }

export function Retry(ids){ 
  return request({
    url: '/ESB/Retry',
    method: 'post',
    data:{Keys:ids},
    timeout:60*1000
  })
}
export function GetTrackPageResult(data){ 
  return request({
    url: '/ESB/GetTrackPageResult',
    method:'post',
    data,
    timeout:120*1000
  })
}
export function GetWaitRestartTracePage(data){ 
  return wmsRequest({
    url: '/TrackingMore/GetWaitRestartTracePage',
    method:'post',
    data,
    timeout:60*1000
  })
}
export function RestartTrace(data){ 
  return wmsRequest({
    url: '/TrackingMore/RestartTrace',
    method:'post',
    data,
    timeout:180*1000
  })
}